org.red5.server.net.proxy

## Class ProxyFilter

- java.lang.Object
- - org.apache.mina.core.filterchain.IoFilterAdapter
  - - org.red5.server.net.proxy.ProxyFilter

All Implemented Interfaces:
  org.apache.mina.core.filterchain.IoFilter

    public class ProxyFilter
    extends org.apache.mina.core.filterchain.IoFilterAdapter

Proxy filter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.mina.core.filterchain.IoFilter

`org.apache.mina.core.filterchain.IoFilter.NextFilter`

### Field Summary

Fields
`static String` `FORWARD_KEY` Forwarding key constant
`protected static org.slf4j.Logger` `log` Logger
`protected String` `name` Filter name

### Constructor Summary

Constructors
Constructor and Description
`ProxyFilter(String name)` Create proxy filter with given name

### Method Summary

Methods
`void` `messageReceived(org.apache.mina.core.filterchain.IoFilter.NextFilter next, org.apache.mina.core.session.IoSession session, Object message)`
`void` `sessionClosed(org.apache.mina.core.filterchain.IoFilter.NextFilter next, org.apache.mina.core.session.IoSession session)`

### Methods inherited from class org.apache.mina.core.filterchain.IoFilterAdapter

`destroy, exceptionCaught, filterClose, filterWrite, init, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionCreated, sessionIdle, sessionOpened, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FORWARD_KEY

    public static final String FORWARD_KEY

Forwarding key constant

See Also:
  Constant Field Values

#### log

    protected static org.slf4j.Logger log

Logger

#### name

    protected String name

Filter name

### Constructor Detail

#### ProxyFilter

    public ProxyFilter(String name)

Create proxy filter with given name

Parameters:
  `name` - name

### Method Detail

#### messageReceived

    public void messageReceived(org.apache.mina.core.filterchain.IoFilter.NextFilter next,
                       org.apache.mina.core.session.IoSession session,
                       Object message)
                         throws Exception

Specified by:
  `messageReceived` in interface `org.apache.mina.core.filterchain.IoFilter`
Overrides:
  `messageReceived` in class `org.apache.mina.core.filterchain.IoFilterAdapter`
Throws:
  `Exception`

#### sessionClosed

    public void sessionClosed(org.apache.mina.core.filterchain.IoFilter.NextFilter next,
                     org.apache.mina.core.session.IoSession session)
                       throws Exception

Specified by:
  `sessionClosed` in interface `org.apache.mina.core.filterchain.IoFilter`
Overrides:
  `sessionClosed` in class `org.apache.mina.core.filterchain.IoFilterAdapter`
Throws:
  `Exception`